<?php
	//include("conexioncrud.php");
	include("datos_sistema.php"); 
	//$marca=$_POST['marca'];
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		$alumnos=$_POST['alumnos'];
		$array_datos_alumno=explode(" | ",$alumnos);
		$rutalumno = $array_datos_alumno[2];
		$sql_alumnos = "SELECT * FROM alumnos WHERE rut = '$rutalumno'";
    	$queryalumnos = mysqli_query($con, $sql_alumnos);
    	$row_alumno = mysqli_fetch_assoc($queryalumnos);
    	$id_alumno = $row_alumno['id_alumno'];
    	$id_apoderado = $row_alumno['id_apoderado'];
    	$nombre_alumno = $row_alumno['nombres'];
    	$apellidos_alumno = $row_alumno['apellidos'];
    	$rut_alumno = $row_alumno['rut'];
    	$nivel_estudio = $row_alumno['nivel_estudio'];
    	$monto_matricula = $row_alumno['monto_matricula'];
		$apoderado=$_POST['apoderado'];
		$abono=$_POST['abono'];
		$checkbox_total_matricula=$_POST['pago_total'];
		$fecha_pago=$_POST['fecha_pago'];
		$pendiente=$_POST['pendiente'];		
		// Remover puntos de miles en ambas variables
		$abonosinpunto = str_replace('.', '', $abono);
		$matricula_valor = str_replace('.', '', $monto_matricula);
		$abono2 = 0;
		// Realizar la operación de resta
		if ($pendiente != 0) {
		    $abono2 = $matricula_valor - $abonosinpunto;
		} else {
		    $abono2 = 0;
		}

		// Formatear el resultado con puntos de mil
		$abono2 = number_format($abono2, 0, '', '.');
	  	$succ="";
	  	$sql="INSERT INTO matriculas (id_alumno, id_apoderado, nombres_alumno, apellidos_alumno, rut, nivel, abono, abono2, pendiente, fecha_pago, creado_por, checkbox_total_matricula, estado) 
		VALUES ('$id_alumno', '$id_apoderado', '$nombre_alumno', '$apellidos_alumno', '$rut_alumno', '$nivel_estudio', '$abono', '$abono2', '$pendiente', '$fecha_pago', '$nombre_apellido', '$checkbox_total_matricula', 'Activo')";
		$resultado=mysqli_query($con,$sql);
		$id_usuario=mysqli_insert_id($con);

		if ($pendiente == 0) {
			$sql_matricula = "UPDATE alumnos 
                 SET matricula_pagada = 'Si'
                 WHERE id_alumno = '$id_alumno'";
    		$resultado_matricula = mysqli_query($con, $sql_matricula) or die(mysqli_error($con)); 
		} else {
			$sql_matricula = "UPDATE alumnos 
                 SET matricula_pagada = 'No'
                 WHERE id_alumno = '$id_alumno'";
    		$resultado_matricula = mysqli_query($con, $sql_matricula) or die(mysqli_error($con)); 
		}
		
	$para = $mail_usuario;
		//CORREO 
	/*$mensaje = '
	<html lang="es">
	<head>
	  <meta charset="UTF-8">
	  <meta name="viewport" content="width=device-width, initial-scale=1.0">
	  <title>Credenciales de inicio de sesión GeoLab Chile</title>
	  <style>
	    body {
	      font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
	      line-height: 1.6;
	      color: #333;
	      margin: 0;
	      padding: 0;
	      background-color: #f4f4f4;
	    }
	    header {
	      
	      color: #fff;
	      padding: 20px 0;
	      text-align: center;
	    }
	    section {
	      margin: 20px;
	    }
	    h1 {
		  color: #000;
		}
	    .password-container {
	      text-align: center;
	      background-color: #fff;
	      border: 1px solid #ddd;
	      border-radius: 5px;
	      padding: 20px;
	      box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
	    }
	    small {
	      color: #888;
	    }
	  </style>
	</head>
	<body>
	  <header>
	    <h1>Credenciales de Usuario</h1>
	  </header>
	  <section>
	    <div class="password-container">
	      <p>Su Nombre de usuario es:</p>
	      <h3>'.$rut_usuario.'</h3>
	      <p>Su contraseña es:</p>
	      <h3>'.$contrasena.'</h3>
	      <p>ROL:</p>
	      <h3>'.$rol_usuario.'</h3>
	      <p><small>Por favor, ignore este correo si no lo ha solicitado.</small>
	       <br>
           <a href="https://sistema.geolabchile.cl/">Haga clic aquí para ingresar al sistema web</a>
	      </p>
	    </div>
	  </section>
	</body>
	</html>';
	// Para enviar un correo HTML, debe establecerse la cabecera Content-type
	$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
	$cabeceras .= 'Content-type: text/html; charset=utf-8' . "\r\n";
	// Enviarlo
	mail($para, $título, $mensaje, $cabeceras);*/
	//FIN DE CODIGO ENVIO DE CREDENCIALES POR CORREO.

	  	if (!$resultado) {
	  		// Si hay un error, muestra el mensaje de error y termina el script
	        $response = mysqli_error($con);
	        echo $response;
		}else{
			//$response = "success";
			$response = $id_usuario . "success";
        	echo $response;			
		}
		 //$response = "Técnico registrado con éxito.";
  		 //echo $id_cliente;
		 mysqli_close($con);
	} else {
	    echo 'Solicitud incorrecta.';
	}


?>
